%define tarname	par2cmdline-%{version}

Summary:	Parchive: Parity Archive Volume Set
Name:		parchive2
Version:	0.8.1
Release:	%mkrel 2
Group:		Archiving/Backup
License:	GPLv2+
# https://github.com/Parchive/par2cmdline
URL:		https://parchive.sourceforge.net/
# https://prdownloads.sourceforge.net/parchive/%%{tarname}.tar.gz
Source0:	https://github.com/Parchive/par2cmdline/releases/download/v%{version}/%{tarname}.tar.bz2

%description
The idea behind this project is to provide a tool to apply the data-
recovery capability concepts of RAID-like systems to the posting and
recovery of multi-part archives on Usenet. With a parity archive, this
tool, and all but one part of a multi-part set you can recover the
missing part.

The key to this mission is a clean file format specification which
provides all the necessary capabilities for programs to easily verify
and regenerate single missing parts out of a set of archives.

We might just be able to make binary posting and downloading on Usenet a
little easier. That's a pretty cool goal!

par2 is complete rewrite of parchive with much additional advantages.
Read all about them on this page:
  http://www.pbclements.co.uk/QuickPar/AboutPAR2.htm

Tip of the day: alias par='par2 r *.((p|P)??|par2)'

%package -n par2cmdline
Summary:	PAR 2.0 compatible file verification and repair tool
Group:		Archiving/Backup
License:	GPLv2+

Obsoletes:	parchive2 < 0.4-18
Provides:	parchive2 = %{version}-%{release}
Provides:	par2 = %{version}-%{release}

%description -n par2cmdline
par2cmdline is a program for creating and using PAR2 files to detect damage
in data files and repair them if necessary. PAR2 files are usually
published in binary newsgroups on Usenet; they apply the data-recovery
capability concepts of RAID-like systems to the posting and recovery of
multi-part archives.

%prep
%autosetup -p1 -n %{tarname}

%build
%configure
%make_build

%install
%make_install

%files -n par2cmdline
%doc AUTHORS README ROADMAP
%license COPYING
%{_bindir}/*
%{_mandir}/man1/par2.1.*


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.8.1-2.mga10
+ Revision: 2219572
- Mageia 10 Mass Rebuild

* Sat Oct 21 2023 daviddavid <daviddavid> 0.8.1-1.mga10
+ Revision: 1999929
- new version: 0.8.1 (new source from https://github.com/Parchive/par2cmdline)
- create an appropriate sub-pkg called par2cmdline

* Tue Mar 15 2022 umeabot <umeabot> 0.4-17.mga9
+ Revision: 1792209
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 0.4-16.mga8
+ Revision: 1515827
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.4-15.mga7
+ Revision: 1300109
- Mageia 7 Mass Rebuild

* Mon Jun 11 2018 wally <wally> 0.4-14.mga7
+ Revision: 1236403
- fix build on aarch64

* Fri Feb 12 2016 umeabot <umeabot> 0.4-13.mga6
+ Revision: 956630
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.4-12.mga5
+ Revision: 744562
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4-11.mga5
+ Revision: 683339
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.4-10.mga4
+ Revision: 521327
- Mageia 4 Mass Rebuild

* Mon Jan 21 2013 malo <malo> 0.4-9.mga3
+ Revision: 390331
- updated RPM group

* Sun Jan 13 2013 umeabot <umeabot> 0.4-8.mga3
+ Revision: 362401
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Apr 12 2011 ahmad <ahmad> 0.4-7.mga1
+ Revision: 84023
- imported package parchive2


* Fri Sep 04 2009 Thierry Vignaud <tvignaud@mandriva.com> 0.4-6mdv2010.0
+ Revision: 430238
- rebuild

* Wed Jul 30 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.4-5mdv2009.0
+ Revision: 255036
- rebuild
- kill re-definition of %%buildroot on Pixel's request
- kill extra spacing at top of description

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Dec 09 2007 Olivier Thauvin <nanardon@mandriva.org> 0.4-3mdv2008.1
+ Revision: 116614
- rebuild
- import parchive2


* Mon Jan 02 2006 Lenny Cartier <lenny@mandriva.com> 0.4-2mdk
- rebuild with debian patch

* Tue Jun 15 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.4-1mdk
- 0.4

* Sat Jul 19 2003 Han Boetes <han@linux-mandrake.com> 0.3-1mdk
- bump

* Fri May 30 2003 Han Boetes <han@linux-mandrake.com> 0.2-1mdk
- Initial MDK built
